Index: palm/trunk/SOURCE/print_1d.f90
===================================================================
--- palm/trunk/SOURCE/print_1d.f90	(revision 4901)
+++ palm/trunk/SOURCE/print_1d.f90	(revision 1)
@@ -1,81 +1,66 @@
-!> @file print_1d.f90
-!--------------------------------------------------------------------------------------------------!
-! This file is part of the PALM model system.
-!
-! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
-! Public License as published by the Free Software Foundation, either version 3 of the License, or
-! (at your option) any later version.
-!
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
-! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
-! Public License for more details.
-!
-! You should have received a copy of the GNU General Public License along with PALM. If not, see
-! <http://www.gnu.org/licenses/>.
-!
-! Copyright 1997-2021 Leibniz Universitaet Hannover
-!--------------------------------------------------------------------------------------------------!
-!
-!
-! Current revisions:
+ SUBROUTINE print_1d
+
+!------------------------------------------------------------------------------!
+! Actual revisions:
 ! -----------------
-!
+! 
 !
 ! Former revisions:
 ! -----------------
-! $Id$
-! File re-formatted to follow the PALM coding standard
+! $Log: print_1d.f90,v $
+! Revision 1.11  2006/02/23 12:50:43  raasch
+! Preliminary no output of time-averaged data
 !
+! Revision 1.10  2001/03/30 07:48:24  raasch
+! Translation of remaining German identifiers (variables, subroutines, etc.)
 !
-! 4360 2020-01-07 11:25:50Z suehring
-! Corrected "Former revisions" section
+! Revision 1.9  2001/01/22 20:51:40  letzel
+! All comments translated into English.
 !
-! 3655 2019-01-07 16:51:22Z knoop
-! Renamed output variables
+! Revision 1.8  2001/01/22 07:55:14  raasch
+! Module test_variables removed
+!
+! Revision 1.7  1998/07/06 12:31:17  raasch
+! Mittelungszeitraum wird direkt durch average_period_pr1d angegeben,
+! + USE test_variables
+!
+! Revision 1.6  1998/03/30 11:38:16  raasch
+! Ausgaben fuer die (Teil-) Gebiete
+!
+! Revision 1.5  1998/03/25 13:56:31  raasch
+! Erweiterungen fuer Gebietsstatistiken
+!
+! Revision 1.4  1998/03/18 20:18:33  raasch
+! Zusaetzliche Header werden ausgegeben
+!
+! Revision 1.3  1998/03/03 08:01:28  raasch
+! Aufruf von flow_statistics erfolgt jetzt gegebenenfalls hier
+! Ausgabe von zeitlich gemittelten Profilen
+!
+! Revision 1.2  1998/02/10 15:09:16  raasch
+! Ausdruck von Werten im w-Niveau
 !
 ! Revision 1.1  1997/09/19 07:45:22  raasch
 ! Initial revision
 !
-!--------------------------------------------------------------------------------------------------!
+!
 ! Description:
 ! ------------
-!> List output of 1D-profiles.
-!--------------------------------------------------------------------------------------------------!
- SUBROUTINE print_1d
+! List output of 1D-profiles.
+!------------------------------------------------------------------------------!
 
-
-    USE arrays_3d,                                                                                 &
-        ONLY:  zu,                                                                                 &
-               zw
-
-    USE control_parameters,                                                                        &
-        ONLY:  run_description_header,                                                             &
-               simulated_time_chr
-
-    USE cpulog,                                                                                    &
-        ONLY:  cpu_log,                                                                            &
-               log_point
-
-    USE indices,                                                                                   &
-        ONLY:  nzb,                                                                                &
-               nzt
-
-    USE kinds
-
+    USE arrays_3d
+    USE control_parameters
+    USE cpulog
+    USE indices
+    USE interfaces
     USE pegrid
-
-    USE statistics,                                                                                &
-        ONLY:  flow_statistics_called,                                                             &
-               hom,                                                                                &
-               region,                                                                             &
-               statistic_regions
+    USE statistics
 
     IMPLICIT NONE
 
 
-    CHARACTER(LEN=20) ::  period_chr  !<
-
-    INTEGER(iwp) ::  k   !<
-    INTEGER(iwp) ::  sr  !<
+    CHARACTER (LEN=20) ::  period_chr
+    INTEGER ::  k, sr
 
 
@@ -102,41 +87,55 @@
 !
 !--       Write header.
-          WRITE( 16, 112 )
-          WRITE( 16, 100 )  TRIM( run_description_header ) // '    ' //                            &
-                            TRIM( region( sr ) ), TRIM( period_chr ), 'uv'
-          WRITE( 16, 105 )  TRIM( simulated_time_chr )
-          WRITE( 16, 111 )
+          WRITE ( 16, 112 )
+          WRITE ( 16, 100 )  TRIM( run_description_header ) // '    ' // &
+                             TRIM( region( sr ) ), TRIM( period_chr ), 'uv'
+          WRITE ( 16, 105 )  TRIM( simulated_time_chr )
+!          ELSE
+!             WRITE ( 16, 106 )  TRIM( simulated_time_chr ),           &
+!                                averaging_interval_pr, average_count_pr
+!          ENDIF
+          WRITE ( 16, 111 )
 
 !
 !--       Output of values on the scalar levels.
-          WRITE( 16, 120 )
-          WRITE( 16, 111 )
+          WRITE ( 16, 120 )
+          WRITE ( 16, 111 )
           DO  k = nzt+1, nzb, -1
-             WRITE( 16, 121)  k, zu(k), hom(k,1,1,sr), hom(k,1,1,sr) - hom(k,1,5,sr),              &
-                              hom(k,1,2,sr), hom(k,1,2,sr) - hom(k,1,6,sr), hom(k,1,4,sr),         &
-                              hom(k,1,4,sr) - hom(k,1,7,sr), hom(k,1,8,sr), hom(k,1,9,sr),         &
-                              hom(k,1,10,sr), hom(k,1,11,sr), zu(k), k
+             WRITE ( 16, 121)  k, zu(k), hom(k,1,1,sr),           &
+                               hom(k,1,1,sr) - hom(k,1,5,sr),     &
+                               hom(k,1,2,sr),                     &
+                               hom(k,1,2,sr) - hom(k,1,6,sr),     &
+                               hom(k,1,4,sr),                     &
+                               hom(k,1,4,sr) - hom(k,1,7,sr),     &
+                               hom(k,1,8,sr), hom(k,1,9,sr),      &
+                               hom(k,1,10,sr), hom(k,1,11,sr), zu(k), k
           ENDDO
-          WRITE( 16, 111 )
-          WRITE( 16, 120 )
-          WRITE( 16, 111 )
+          WRITE ( 16, 111 )
+          WRITE ( 16, 120 )
+          WRITE ( 16, 111 )
 
 !
 !--       Output of values on the w-levels.
-          WRITE( 16, 112 )
-          WRITE( 16, 100 )  TRIM( run_description_header ) // '    ' //                            &
-                            TRIM( region( sr ) ), TRIM( period_chr ), 'w'
-          WRITE( 16, 105 )  TRIM( simulated_time_chr )
-          WRITE( 16, 111 )
+          WRITE ( 16, 112 )
+          WRITE ( 16, 100 )  TRIM( run_description_header ) // '    ' // &
+                             TRIM( region( sr ) ), TRIM( period_chr ), 'w'
+          WRITE ( 16, 105 )  TRIM( simulated_time_chr )
+!          ELSE
+!             WRITE ( 16, 106 )  TRIM( simulated_time_chr ),           &
+!                                averaging_interval_pr, average_count_pr
+!          ENDIF
+          WRITE ( 16, 111 )
 
-          WRITE( 16, 130 )
-          WRITE( 16, 111 )
+          WRITE ( 16, 130 )
+          WRITE ( 16, 111 )
           DO  k = nzt+1, nzb, -1
-             WRITE( 16, 131)  k, zw(k), hom(k,1,16,sr), hom(k,1,18,sr), hom(k,1,12,sr),            &
-                              hom(k,1,19,sr), hom(k,1,14,sr), hom(k,1,20,sr), zw(k), k
+             WRITE ( 16, 131)  k, zw(k), hom(k,1,16,sr),            &
+                               hom(k,1,18,sr), hom(k,1,12,sr), &
+                               hom(k,1,19,sr), hom(k,1,14,sr), &
+                               hom(k,1,20,sr), zw(k), k
           ENDDO
-          WRITE( 16, 111 )
-          WRITE( 16, 130 )
-          WRITE( 16, 111 )
+          WRITE ( 16, 111 )
+          WRITE ( 16, 130 )
+          WRITE ( 16, 111 )
 
        ENDDO
@@ -144,19 +143,22 @@
     ENDIF
 
-    CALL cpu_log( log_point(18), 'print_1d', 'stop' )
+    CALL cpu_log( log_point(18), 'print_1d','stop', 'nobarrier' )
 
 !
 !-- Formats.
-100 FORMAT( 1X, A / 1X, 10( '-' ) / ' Horizontally', A, ' averaged profiles on the ', A, '-level' )
-105 FORMAT( ' Time: ', A )
-111 FORMAT( 1X, 131( '-' ) )
-112 FORMAT( / )
-120 FORMAT( '   k     zu      u     du     v     dv     theta dtheta ',                            &
-            ' e      Km    Kh     l    zu      k' )
-121 FORMAT( 1X, I4, 1X, F7.1, 1X, F6.2, 1X, F5.2, 1X, F6.2, 1X, F5.2, 2X, F6.2, 1X, F5.2, 1X,      &
-            F7.4, 1X, F5.2, 1X, F5.2, 1X, F6.2, 1X, F7.1, 2X, I4 )
-130 FORMAT( '   k     zw       w''theta''   wtheta     w''u''       wu       ',                    &
-            '  w''v''       wv        zw      k' )
-131 FORMAT( 1X, I4, 1X, F7.1, 6( 1X, E10.3 ), 1X, F7.1, 2X, I4 )
+100 FORMAT (1X,A/1X,10('-')/ &
+            ' Horizontally',A,' averaged profiles on the ',A,'-level')
+105 FORMAT (' Time: ',A)
+106 FORMAT (' Time: ',A,18X,'averaged over',F7.1,' s (',I4, &
+            ' Single times)')
+111 FORMAT (1X,131('-'))
+112 FORMAT (/)
+120 FORMAT ('   k     zu      u     du     v     dv     pt    dpt    ', &
+            'e      Km    Kh     l      zu      k')
+121 FORMAT (1X,I4,1X,F7.1,1X,F6.2,1X,F5.2,1X,F6.2,1X,F5.2,2X,F6.2,1X,F5.2, &
+            1X,F6.4,1X,F5.2,1X,F5.2,1X,F6.2,1X,F7.1,2X,I4)
+130 FORMAT ('   k     zw      w''pt''     wpt       w''u''      wu       ', &
+            ' w''v''      wv        zw      k')
+131 FORMAT (1X,I4,1X,F7.1,6(1X,E9.3),1X,F7.1,2X,I4)
 
 
